Package ghidra.app.util.bin.format.unixaout

# Class UnixAoutRelocationTable

java.lang.Object
ghidra.app.util.bin.format.unixaout.UnixAoutRelocationTable

All Implemented Interfaces:
  `StructConverter`, `Iterable<UnixAoutRelocation>`

public class UnixAoutRelocationTable extends Object implements Iterable<UnixAoutRelocation>, StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnixAoutRelocationTable(BinaryReader reader, long fileOffset, long fileSize, UnixAoutSymbolTable symtab)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<UnixAoutRelocation>`
  `iterator()`
  `void`
  `markup(Program program, MemoryBlock block)`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### UnixAoutRelocationTable

    public UnixAoutRelocationTable(BinaryReader reader, long fileOffset, long fileSize, UnixAoutSymbolTable symtab) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### iterator

    public Iterator<UnixAoutRelocation> iterator()
    Specified by:
      `iterator` in interface `Iterable<UnixAoutRelocation>`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### markup

    public void markup(Program program, MemoryBlock block) throws CodeUnitInsertionException, DuplicateNameException, IOException
    Throws:
      `CodeUnitInsertionException`
      `DuplicateNameException`
      `IOException`